=== debian/changelog ===
m4api (0.3~0.9646fd-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113260)

 -- Adrian Bunk <bunk@debian.org>  Sun, 26 Oct 2025 09:29:04 +0200

m4api (0.3~0.9646fd-3) unstable; urgency=medium

  [ Nick Rosbrook ]
  * debian/patches: fix several implicit declarations (LP: #2060847)
    (Closes: #1065761)

  [ Vagrant Cascadian ]
  * debian/control: Use default branch for Vcs-Git.
  * debian/rules: Add override for dh_auto_clean to remove extra cruft.
    (Closes: #1046230)
  * Update lintian override to match new lintian syntax.
  * debian/control: Update Build-Depends from pkg-config to pkgconf.
  * debian/control: Update Standards Version to 4.7.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 10 Apr 2024 17:53:23 -0700

m4api (0.3~0.9646fd-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062680

 -- Graham Inggs <ginggs@debian.org>  Thu, 29 Feb 2024 10:59:14 +0000

m4api (0.3~0.9646fd-2) unstable; urgency=medium

  * Switch to debhelper compat level 14, which passes options to cmake to
    fix reproducibility issues with embedded rpaths.
  * Add lintian override for experimental debhelper version.
  * debian/control: Update Vcs-* to new location.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 27 Sep 2020 19:58:56 -0700

m4api (0.3~0.9646fd-1) experimental; urgency=low

  * Initial release (Closes: #950315).

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 29 Aug 2020 17:08:23 -0700
