=== debian/control ===
Source: m4api
Section: utils
Priority: optional
Maintainer: Vagrant Cascadian <vagrant@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), cmake,
 debhelper (>= 13.2~),
 libusb-dev,
 pkgconf,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/ktossell/m4api
Vcs-Browser: https://salsa.debian.org/debian/m4api
Vcs-Git: https://salsa.debian.org/debian/m4api.git

Package: m4api
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, libm4api0.3t64
Description: access Mini-Box M4-ATX power supplies (utility)
 The m4api is a tool for monitoring and configuring Mini-Box M4-ATX
 power supplies.
 .
 This package provides the m4ctl utility.

Package: libm4api0.3t64
Provides: ${t64:Provides}
Replaces: libm4api0.3
Breaks: libm4api0.3 (<< ${source:Version})
Architecture: any
Multi-Arch: allowed
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: access Mini-Box M4-ATX power supplies (library)
 The m4api is a tool for monitoring and configuring Mini-Box M4-ATX
 power supplies.
 .
 This package provides the library files.
